Subject: bug#2176: 2176 proposal

From: Zachary Kanfer <[email-masked]>
Date: Thu, 28 Jul 2011 01:59:32 -0400

My goal was to shorten up the text, as it's a little verbose. I think that
people are, by and large, used to the UI convention of "blue underlined"
means a link, but I get your point. What do you think would be the
appropriate part of the text to link? "recover-session" is the action, so
linking that would make sense, but the constant text changing (i.e.,
variable-pitch for the beginning of the line, fixed-pitch for "M-x",
fixed-pitch link for "recover-session", then variable-pitch again for the
rest of the line) gives it a jarring effect, at least to me. Perhaps I'm
overanalyzing. What do you think of the effects of this patch?
Do we also want "Meta-x" instead of "M-x", to make it easier for such users,
even though the usage is different from almost everywhere else in Emacs?
 -Zachary Kanfer

=== modified file 'lisp/startup.el'
*** lisp/startup.el     2011-07-14 12:57:06 +0000
--- lisp/startup.el     2011-07-28 05:56:34 +0000
*************** a face or button specification."
*** 1574,1586 ****
                               auto-save-list-file-prefix)))
        t)
         (fancy-splash-insert :face '(variable-pitch font-lock-comment-face)
!                           "\nIf an Emacs session crashed recently, "
!                           "type "
!                           :face '(fixed-pitch font-lock-comment-face)
!                           "Meta-x recover-session RET"
                            :face '(variable-pitch font-lock-comment-face)
!                           "\nto recover"
!                           " the files you were editing."))

    (when concise
      (fancy-splash-insert
--- 1574,1587 ----
                               auto-save-list-file-prefix)))
        t)

On Tue, Jul 26, 2011 at 12:58 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Zachary Kanfer <[email-masked]>
> > Date: Mon, 25 Jul 2011 23:13:00 -0400
> >
> > This patch makes the line include a link to run 'recover-session .
> > It also rephrases the text. The text used to be "If an Emacs session
> crashed
> > recently, type Meta-x recover-session RET \nto recover the files you were
> > editing." The rephrased text is "If Emacs crashed recently, you may
> recover
> > your previous session."
> > The text no longer tells you how to run the command (i.e., with Meta-x
> > recover-session RET). This is in line with the other commands on the page
> > (e.g., Emacs Tutorial, Open a File).
>
> Recovering a crashed session is much more important than visiting a
> tutorial or opening a file.  I would understand and support a
> suggestion to _add_ a clickable link, but why would you want to remove
> the information about invoking recovery by hand?  A user whose session
> crashed may be under pressure, and not immediately recognize the
> significance of the blue underlined portion of the text.
>